libetonyek::IWORKDictionary Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKDictionary Struct Reference

A dictionary of all referenceable entities in the presentation. More...

`#include <IWORKDictionary.h>`

Inheritance diagram for libetonyek::IWORKDictionary:

## Public Member Functions
| IWORKDictionary ()

## Public Attributes
IWORKStyleMap_t | m_cellStyles
IWORKStyleMap_t | m_cellCommentStyles
IWORKStyleMap_t | m_characterStyles
IWORKStyleMap_t | m_chartStyles
IWORKStyleMap_t | m_chartSeriesStyles
IWORKStyleMap_t | m_graphicStyles
IWORKStyleMap_t | m_headlineStyles
IWORKStyleMap_t | m_layoutStyles
IWORKStyleMap_t | m_listStyles
IWORKStyleMap_t | m_paragraphStyles
IWORKStyleMap_t | m_slideStyles
IWORKStyleMap_t | m_tableStyles
IWORKStyleMap_t | m_tableCellStyles
IWORKStyleMap_t | m_tableVectorStyles
IWORKStyleMap_t | m_tabularStyles
IWORKStyleMap_t | m_tocStyles
IWORKStyleMap_t | m_vectorStyles
IWORKStylesheetMap_t | m_stylesheets
IWORKPathMap_t | m_beziers
IWORKMediaContentMap_t | m_binaries
IWORKColumnsMap_t | m_columnSets
IWORKShadowMap_t | m_coreImageFilterInfos
IWORKDataMap_t | m_data
IWORKDateTimeFormatMap_t | m_dateTimeFormats
IWORKDurationFormatMap_t | m_durationFormats
IWORKExternalTextWrapMap_t | m_externalTextWraps
IWORKFillMap_t | m_fills
IWORKFilterDescriptorMap_t | m_filterDescriptors
IWORKMediaContentMap_t | m_filteredImages
IWORKFiltersMap_t | m_filters
IWORKFormulaMap_t | m_formulas
IWORKGradientMap_t | m_gradients
IWORKGradientStopMap_t | m_gradientStops
IWORKMediaContentMap_t | m_images
IWORKLineSpacingMap_t | m_lineSpacings
IWORKListLabelGeometryMap_t | m_listLabelGeometries
IWORKListLabelTypeInfoMap_t | m_listLabelTypeInfos
IWORKNumberFormatMap_t | m_numberFormats
IWORKPaddingMap_t | m_paddings
IWORKPatternMap_t | m_patterns
IWORKShadowMap_t | m_shadows
IWORKStrokeMap_t | m_strokes
IWORKTableCellMap_t | m_tableCells
IWORKTableCommentMap_t | m_tableComments
IWORKTableVectorMap_t | m_tableVectors
IWORKTabStopsMap_t | m_tabs
IWORKTableMap_t | m_tabulars
IWORKListLabelTypeInfoMap_t | m_textLabels
IWORKMediaContentMap_t | m_texturedFillImages
IWORKMediaContentMap_t | m_unfiltereds
std::unordered_map< ID_t, std::deque< double > > | m_doubleArrays
std::unordered_map< ID_t, std::deque< IWORKListLabelGeometry > > | m_listLabelGeometriesArrays
std::unordered_map< ID_t, std::deque< IWORKListLabelTypeInfo_t > > | m_listLabelTypesArrays

## Detailed Description

A dictionary of all referenceable entities in the presentation.

In other words, all entities that might be included through a -ref element in the format. This is purely a file format concept; all that matters when an entity is inserted by a reference is that there has been an entity of the same type and with the same content inserted previously (or at least that is how I understand it. I might be wrong about it). That means we need to know all entities in the whole presentation to resolve references.

Note
  The dictionary contains (among other things) all master styles, therefore we do not handle them separately. (We might do that in the future, to ensure correctness of the format.)

## Constructor & Destructor Documentation

## ◆ IWORKDictionary()

libetonyek::IWORKDictionary::IWORKDictionary | ( |  | ) |

## Member Data Documentation

## ◆ m_beziers

IWORKPathMap_t libetonyek::IWORKDictionary::m_beziers

## ◆ m_binaries

IWORKMediaContentMap_t libetonyek::IWORKDictionary::m_binaries

## ◆ m_cellCommentStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_cellCommentStyles

## ◆ m_cellStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_cellStyles

Referenced by libetonyek::IWORKDiscardContext::element().

## ◆ m_characterStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_characterStyles

Referenced by libetonyek::IWORKDiscardContext::element().

## ◆ m_chartSeriesStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_chartSeriesStyles

## ◆ m_chartStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_chartStyles

## ◆ m_columnSets

IWORKColumnsMap_t libetonyek::IWORKDictionary::m_columnSets

## ◆ m_coreImageFilterInfos

IWORKShadowMap_t libetonyek::IWORKDictionary::m_coreImageFilterInfos

## ◆ m_data

IWORKDataMap_t libetonyek::IWORKDictionary::m_data

## ◆ m_dateTimeFormats

IWORKDateTimeFormatMap_t libetonyek::IWORKDictionary::m_dateTimeFormats

## ◆ m_doubleArrays

std::unordered_map<ID_t, std::deque<double> > libetonyek::IWORKDictionary::m_doubleArrays

## ◆ m_durationFormats

IWORKDurationFormatMap_t libetonyek::IWORKDictionary::m_durationFormats

## ◆ m_externalTextWraps

IWORKExternalTextWrapMap_t libetonyek::IWORKDictionary::m_externalTextWraps

## ◆ m_fills

IWORKFillMap_t libetonyek::IWORKDictionary::m_fills

Referenced by libetonyek::KEY1FillElement::endOfElement().

## ◆ m_filterDescriptors

IWORKFilterDescriptorMap_t libetonyek::IWORKDictionary::m_filterDescriptors

## ◆ m_filteredImages

IWORKMediaContentMap_t libetonyek::IWORKDictionary::m_filteredImages

## ◆ m_filters

IWORKFiltersMap_t libetonyek::IWORKDictionary::m_filters

## ◆ m_formulas

IWORKFormulaMap_t libetonyek::IWORKDictionary::m_formulas

## ◆ m_gradients

IWORKGradientMap_t libetonyek::IWORKDictionary::m_gradients

## ◆ m_gradientStops

IWORKGradientStopMap_t libetonyek::IWORKDictionary::m_gradientStops

## ◆ m_graphicStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_graphicStyles

## ◆ m_headlineStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_headlineStyles

## ◆ m_images

IWORKMediaContentMap_t libetonyek::IWORKDictionary::m_images

## ◆ m_layoutStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_layoutStyles

Referenced by libetonyek::IWORKDiscardContext::element().

## ◆ m_lineSpacings

IWORKLineSpacingMap_t libetonyek::IWORKDictionary::m_lineSpacings

## ◆ m_listLabelGeometries

IWORKListLabelGeometryMap_t libetonyek::IWORKDictionary::m_listLabelGeometries

## ◆ m_listLabelGeometriesArrays

std::unordered_map<ID_t, std::deque<IWORKListLabelGeometry> > libetonyek::IWORKDictionary::m_listLabelGeometriesArrays

## ◆ m_listLabelTypeInfos

IWORKListLabelTypeInfoMap_t libetonyek::IWORKDictionary::m_listLabelTypeInfos

## ◆ m_listLabelTypesArrays

std::unordered_map<ID_t, std::deque<IWORKListLabelTypeInfo_t> > libetonyek::IWORKDictionary::m_listLabelTypesArrays

## ◆ m_listStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_listStyles

Referenced by libetonyek::IWORKDiscardContext::element().

## ◆ m_numberFormats

IWORKNumberFormatMap_t libetonyek::IWORKDictionary::m_numberFormats

## ◆ m_paddings

IWORKPaddingMap_t libetonyek::IWORKDictionary::m_paddings

## ◆ m_paragraphStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_paragraphStyles

Referenced by libetonyek::IWORKDiscardContext::element().

## ◆ m_patterns

IWORKPatternMap_t libetonyek::IWORKDictionary::m_patterns

## ◆ m_shadows

IWORKShadowMap_t libetonyek::IWORKDictionary::m_shadows

## ◆ m_slideStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_slideStyles

Referenced by libetonyek::IWORKDiscardContext::element().

## ◆ m_strokes

IWORKStrokeMap_t libetonyek::IWORKDictionary::m_strokes

## ◆ m_stylesheets

IWORKStylesheetMap_t libetonyek::IWORKDictionary::m_stylesheets

## ◆ m_tableCells

IWORKTableCellMap_t libetonyek::IWORKDictionary::m_tableCells

## ◆ m_tableCellStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_tableCellStyles

## ◆ m_tableComments

IWORKTableCommentMap_t libetonyek::IWORKDictionary::m_tableComments

## ◆ m_tableStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_tableStyles

## ◆ m_tableVectors

IWORKTableVectorMap_t libetonyek::IWORKDictionary::m_tableVectors

## ◆ m_tableVectorStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_tableVectorStyles

## ◆ m_tabs

IWORKTabStopsMap_t libetonyek::IWORKDictionary::m_tabs

## ◆ m_tabulars

IWORKTableMap_t libetonyek::IWORKDictionary::m_tabulars

## ◆ m_tabularStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_tabularStyles

Referenced by libetonyek::IWORKDiscardContext::element().

## ◆ m_textLabels

IWORKListLabelTypeInfoMap_t libetonyek::IWORKDictionary::m_textLabels

## ◆ m_texturedFillImages

IWORKMediaContentMap_t libetonyek::IWORKDictionary::m_texturedFillImages

## ◆ m_tocStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_tocStyles

## ◆ m_unfiltereds

IWORKMediaContentMap_t libetonyek::IWORKDictionary::m_unfiltereds

## ◆ m_vectorStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_vectorStyles

The documentation for this struct was generated from the following files:

- IWORKDictionary.h
- IWORKDictionary.cpp